# -sns (Store NTFS alternate Streams) switch

#### Syntax

    -sns[-]

Switch | Description
--- | ---
-sns | Enable "Store NTFS alternate streams" mode. It's default option, if you extract archive.
-sns- | Disable "Store NTFS alternate streams" mode. It's default option, if you create archive or call "list" command.

If -sns mode is enabled, 7-Zip processes NTFS Alternate Data Streams for files and folders.

Current version of 7-Zip can store NTFS alternate streams only to WIM archives.

Note: 7-Zip can't include alternate streams to archives on 32-bit Windows XP and older systems.

#### Examples

    7z a a.wim -sns *.txt

stores txt files including alternate data streams.

    7z x a.wim

unpacks a.wim including alternate data streams.

    7z x a.wim -sns-

unpacks a.wim without alternate data streams.

    7z l a.wim -sns

lists files in a.wim including alternate data streams.

#### Commands that can be used with this switch

a (Add), d (Delete), e (Extract), h (Hash), l (List), t (Test), u (Update), x (Extract with full paths)

#### See also

Switches: -sni